# Method: projects.locations.zones.interconnects.list

- [HTTP request](https://docs.cloud.google.com/distributed-cloud/connected/1.9.0/docs/reference/network/rest/v1/projects.locations.zones.interconnects/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/distributed-cloud/connected/1.9.0/docs/reference/network/rest/v1/projects.locations.zones.interconnects/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/distributed-cloud/connected/1.9.0/docs/reference/network/rest/v1/projects.locations.zones.interconnects/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/distributed-cloud/connected/1.9.0/docs/reference/network/rest/v1/projects.locations.zones.interconnects/list#body.request_body)
- [Response body](https://docs.cloud.google.com/distributed-cloud/connected/1.9.0/docs/reference/network/rest/v1/projects.locations.zones.interconnects/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/distributed-cloud/connected/1.9.0/docs/reference/network/rest/v1/projects.locations.zones.interconnects/list#body.ListInterconnectsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/distributed-cloud/connected/1.9.0/docs/reference/network/rest/v1/projects.locations.zones.interconnects/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/distributed-cloud/connected/1.9.0/docs/reference/network/rest/v1/projects.locations.zones.interconnects/list#try-it)

Lists Interconnects in a given project and location.

### HTTP request

`GET https://edgenetwork.googleapis.com/v1/{parent=projects/*/locations/*/zones/*}/interconnects`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Parent value for ListInterconnectsRequest |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default. |
| `pageToken` | `string` A token identifying a page of results the server should return. |
| `filter` | `string` Filtering results |
| `orderBy` | `string` Hint for how to order the results |

### Request body

The request body must be empty.

### Response body

Message for response to listing Interconnects

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "interconnects": [ { object (`https://docs.cloud.google.com/distributed-cloud/edge/1.9.0/docs/reference/network/rest/v1/projects.locations.zones.interconnects#Interconnect`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `interconnects[]` | ``object (`https://docs.cloud.google.com/distributed-cloud/edge/1.9.0/docs/reference/network/rest/v1/projects.locations.zones.interconnects#Interconnect`)`` The list of Interconnect |
| `nextPageToken` | `string` A token identifying a page of results the server should return. |
| `unreachable[]` | `string` Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).